<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [PlayerBaseTask](./bitburner.playerbasetask.md) &gt; [cyclesWorked](./bitburner.playerbasetask.cyclesworked.md)

## PlayerBaseTask.cyclesWorked property

The number of game engine cycles has passed since this task started. 1 engine cycle = 200ms.

**Signature:**

```typescript
cyclesWorked: number;
```
